> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usealmanac.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Job Outcome



## OpenAPI

````yaml /openapi.json get /v1/wikis/{wiki_id}/jobs/{job_id}/outcome
openapi: 3.1.0
info:
  description: Versioned API for hosted Almanac wikis.
  title: Almanac V1 API
  version: 0.3.3
servers:
  - url: https://almanac-backend-83vc.onrender.com
security:
  - bearerAuth: []
paths:
  /v1/wikis/{wiki_id}/jobs/{job_id}/outcome:
    get:
      summary: Job Outcome
      operationId: job_outcome_v1_wikis__wiki_id__jobs__job_id__outcome_get
      parameters:
        - in: path
          name: wiki_id
          required: true
          schema:
            title: Wiki Id
            type: string
        - in: path
          name: job_id
          required: true
          schema:
            title: Job Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobOutcome'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    JobOutcome:
      additionalProperties: false
      properties:
        imports:
          items:
            $ref: '#/components/schemas/JobImportOutcome'
          title: Imports
          type: array
        job:
          $ref: '#/components/schemas/Job'
        pages:
          items:
            $ref: '#/components/schemas/JobPageChange'
          title: Pages
          type: array
        sources:
          items:
            $ref: '#/components/schemas/JobSourceChange'
          title: Sources
          type: array
      required:
        - job
        - imports
        - sources
        - pages
      title: JobOutcome
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    JobImportOutcome:
      additionalProperties: false
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        original_path:
          title: Original Path
          type: string
        source_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Path
        status:
          enum:
            - pending
            - organized
            - duplicate
            - failed
          title: Status
          type: string
      required:
        - original_path
        - status
        - source_path
        - error
      title: JobImportOutcome
      type: object
    Job:
      additionalProperties: false
      properties:
        created_at:
          title: Created At
          type: string
        current_step:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Step
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        finished_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Finished At
        job_id:
          title: Job Id
          type: string
        kind:
          enum:
            - ingest
            - garden
          title: Kind
          type: string
        started_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Started At
        status:
          enum:
            - queued
            - running
            - succeeded
            - failed
          title: Status
          type: string
        status_label:
          title: Status Label
          type: string
        status_state:
          enum:
            - queued
            - running
            - succeeded
            - failed
            - unknown
          title: Status State
          type: string
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        updated_at:
          title: Updated At
          type: string
        wiki_id:
          title: Wiki Id
          type: string
      required:
        - job_id
        - wiki_id
        - kind
        - status
        - current_step
        - summary
        - error
        - status_state
        - status_label
        - created_at
        - updated_at
        - started_at
        - finished_at
      title: Job
      type: object
    JobPageChange:
      additionalProperties: false
      properties:
        action:
          enum:
            - created
            - updated
            - removed
          title: Action
          type: string
        slug:
          title: Slug
          type: string
        title:
          title: Title
          type: string
      required:
        - action
        - slug
        - title
      title: JobPageChange
      type: object
    JobSourceChange:
      additionalProperties: false
      properties:
        action:
          enum:
            - added
            - moved
          title: Action
          type: string
        path:
          title: Path
          type: string
        previous_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Path
      required:
        - action
        - path
        - previous_path
      title: JobSourceChange
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Almanac access token or API key
      scheme: bearer
      type: http

````